.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;


    &__main {
        flex-grow: 1;
    }
}

.w-100 {
    width: 100%;
}

.app {
    width: 100%;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    font-size: rem(14);
    line-height: rem(17);

    &__container {
        margin: 0 auto;
        width: 100%;
        max-width: rem(420);
        display: flex;
        flex-direction: column;
        padding: 0 rem(20);
    }

    &__header {
        padding-top: rem(40);
        padding-bottom: rem(30);
    }

    &__footer {
        padding-bottom: rem(32);
    }

    &__main {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__logo {
        width: rem(95);
        display: block;
        margin: 0 auto rem(20) auto;

        &--xl {
            width: rem(135);
            margin-bottom: 0;
        }
    }

    &__title {
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        margin-bottom: rem(16);
        text-align: center;
    }

    &__phone {
    }

    &__dialer {
        padding: rem(16) 0;
        flex-grow: 1;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__lead {
        color: $black;
        font-weight: 700;
        font-size: 18px;
        line-height: 22px;
        text-align: center;
        margin-bottom: rem(12);
    }

    &__info {
        color: #585858;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        text-align: center;
        margin-bottom: rem(24);

        p {
            margin-bottom: rem(10);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__uploads {
        width: 100%;
        flex-grow: 1;
        display: flex;
        align-items: center;
        padding-bottom: rem(24);
    }

    &__selfie {
        overflow: hidden;
        max-width: rem(354);
        border-radius: rem(18);
        margin: 0 auto rem(40) auto;
    }

    &__reference {
        max-width: rem(250);
        margin: 0 auto rem(40) auto;
    }

    &__card {
        width: rem(254);
        margin: 0 auto rem(24) auto;
    }

    &__scan {
        margin-bottom: rem(30);
    }

    &__finish {
        padding-bottom: rem(30);
        flex-grow: 1;
        display: flex;
        align-items: center;
        justify-content: center;

    }

    @include media-breakpoint-up(xl) {
        min-height: 100vh;
        justify-content: center;


        &__container {
            background: $white;
            height: rem(940);
            box-shadow: 0px 6px 27px rgba(0, 0, 0, 0.05);
        }
    }
}

.app-dialer {
    width: rem(270);
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;

    &__item {
        width: rem(90);
    }

    &__button {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        width: rem(60);
        height: rem(60);
        font-weight: 600;
        font-size: rem(22);
        line-height: rem(24);
        background: transparent;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: rem(8);

        &:active {
            background: rgba(0,159,223,0.1);
        }
    }
}

.app-code {
    margin: 0 auto;
    max-width: rem(240);
    display: flex;
    align-items: center;

    &__item {
        width: 33.333%;
        flex-grow: 1;
        padding: 0 rem(6);
    }
}

.code-item {
    margin: 0;
    width: 100%;
    z-index: 10;
    height: rem(90);
    outline: none;
    color: #C4C4C4;
    box-shadow: none;
    font-weight: 700;
    text-align: center;
    position: relative;
    font-size: rem(50);
    line-height: rem(60);
    border-radius: rem(5);
    background: #F9F9F9;
    padding: rem(14) rem(8);
    display: inline-block;
    vertical-align: middle;
    border: rem(1) solid #F9F9F9;
    @include placeholder(#C4C4C4);
    font-family: $font-family-primary;

    &::-ms-clear {
        display: none;
        width: 0;
        height: 0;
    }

    &:focus,
    &:active {
        outline: none;
        border-color: #6A6A6A;
        @include placeholder(transparent);
    }


    &.error {
        border-color: red !important;
    }
}

.app-progress {
    width: 100%;
    height: 26px;
    max-width: rem(354);
    overflow: hidden;
    position: relative;
    margin: 0 auto rem(40) auto;
    display: flex;
    align-items: center;
    justify-content: space-between;

    &:before {
        left: 0;
        right: 0;
        top: calc(50% - 2px);
        height: 4px;
        z-index: 1;
        content: '';
        position: absolute;
        background: $gray;
    }

    &:after {
        left: 0;
        width: 25%;
        top: calc(50% - 2px);
        height: 4px;
        z-index: 5;
        content: '';
        position: absolute;
        background: $blue;
    }

    &__step {
        width: 16px;
        height: 16px;
        flex-shrink: 0;
        z-index: 15;
        background: $gray;
        border-radius: 50%;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        &:first-child {
            z-index: 20;
        }

        &:last-child {
            z-index: 10;
        }


        &--success {
            background: $blue;
        }

        &--active {
            width: 26px;
            height: 26px;
            color: $white;
            background: $blue;
            font-weight: 800;
            font-size: 14px;
            line-height: 18px;

            &:before {
                content: attr(data-step);
            }

            &:after {
                right: 95%;
                width: 100vw;
                top: calc(50% - 2px);
                height: 4px;
                z-index: 5;
                content: '';
                position: absolute;
                background: $blue;
            }
        }
    }
}

.app-uploads {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: rem(340);
    margin: 0 auto;

    &__item {
        border: none;
        outline: none;
        display: block;
        color: #8D8D8D;
        background: #F9F9F9;
        text-decoration: none;
        border-radius: 5px;
        padding: rem(8) rem(12);
        text-align: center;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(15);
        width: calc(50% - 7px);
        height: rem(160);
        margin: 8px 0;

        &:hover {
            color: #8D8D8D;
            text-decoration: none;
        }

        &.error {
            color: $white;
            background: #F77373;

            &:hover {
                color: $white;
            }
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(44);
        display: inline-block;
        flex-shrink: 0;
    }

    &__top {
        display: block;
        height: rem(22);
        font-size: rem(9);
        line-height: rem(11);
        margin-bottom: rem(6);
    }

    &__text {
        display: block;
        padding-top: rem(16);
    }
}

.file-upload {
    fill: $blue;
    color: $blue;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(18);
    white-space: nowrap;
    max-width: 100%;
    text-decoration: underline;
    position: relative;
    display: inline-flex;
    align-items: center;

    input {
        @include visually-hidden();
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        margin-right: rem(8);
    }

    &__text {
        white-space: nowrap;
        display: inline-flex;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

.input-description {
    color: #585858;
    font-size: rem(14);
    line-height: rem(14);
    text-align: center;
}

.app-contact {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin-bottom: rem(25);

    &--date {
        padding: rem(25);
        background: #F9F9F9;
        border-radius: 5px;
    }

    &__nav {
        margin-bottom: rem(20);
        display: flex;
        align-content: center;
        justify-content: center;
    }

    &__button {
        border: none;
        outline: none;
        cursor: pointer;
        margin: 0 rem(4);
        padding: rem(8);
        width: rem(136);
        height: rem(46);
        color: #857E7E;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        border-radius: 5px;
        background: $white;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        &.active {
            color: $black;
            font-weight: 600;
            background: #F9F9F9;
        }
    }

    &__body {
        flex-grow: 1;
        position: relative;
        min-height: rem(240);
    }

    &__group {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        visibility: hidden;
        position: absolute;
        display: flex;
        flex-direction: column;

        &.active {
            opacity: 1;
            visibility: visible;
        }
    }

    &__header {
        padding-bottom: rem(8);
    }

    &__title {
        fill: $blue;
        color: #585858;
        display: flex;
        align-items: center;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(16);
        margin-bottom: rem(4);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            display: inline-block;
            margin-right: rem(8);
        }
    }

    &__address {
        color: $black;
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(22);
        min-height: rem(22);
    }

    &__content {
        flex-grow: 1;
        position: relative;
    }

    &__map {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        overflow: hidden;
        position: absolute;
        border-radius: rem(17);
    }

    &__scroll {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
    }

    [data-tabs-target] {
        display: flex;

        &.active {
            display: flex;
        }
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin-bottom: rem(15);
    }

    &__calendar {
        width: 100%;
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
}

.app-office {
    display: flex;
    align-items: center;
    font-weight: 700;
    font-size: rem(18);
    line-height: rem(22);
    white-space: nowrap;

    &__edit {
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        width: rem(22);
        height: rem(22);
        margin-left: rem(4);
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(15);
            display: inline-block;
        }
    }

    &__title {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    &__text {
        max-width: 100%;

    }
}

.app-calendar {

    &__title {
        text-align: center;
        margin-bottom: rem(24);
    }
}

.calendar-inline {
    width: rem(280);
    margin: 0 auto;

    .air-datepicker {
        width: 100%;
        border: none;
        background: transparent;
    }

    .air-datepicker-nav {
        border-bottom: none;
    }

    .air-datepicker--content {
        padding: 0;
    }

    .grid-template-rows {

    }

    .air-datepicker-body--cells.-days- {
        grid-auto-rows: 40px;
    }

    .air-datepicker-cell {
        height: rem(40);
        font-size: rem(13);
        color: #19181A;


        &.-day- {
            border-radius: 50%;
        }

        &.-current- {
            color: $white;
            font-weight: 600;
            background: $blue;
        }

        &.-selected- {
            color: $white;
            font-weight: 600;
            background: $blue-dark;
        }

        &.-other-month- {
            opacity: 0.4;
            color: #19181A;
        }
    }

    .air-datepicker-body--day-name {
        color: #19181A;
        font-weight: 600;
        font-size: rem(13);
    }

    .air-datepicker-nav--title {
        color: $blue;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(24);

        i {
            color: #19181A;
        }
    }
}

.btn-scan {
    border: none;
    outline: none;
    height: rem(26);
    padding: 0 rem(12);
    color: #1AACFF;
    font-weight: 500;
    font-size: rem(14);
    line-height: rem(17);
    text-decoration: none;
    background: transparent;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(26);
        display: inline-block;
        margin-right: rem(10);
    }
}

.app-form {
    margin-bottom: rem(24);

    &__row {
        margin: 0 rem(-5);
        display: flex;
    }

    &__col {
        width: 50%;
        padding: 0 rem(5);
        flex-shrink: 0;
    }

    &__item {
        margin-bottom: rem(10);
    }
}

.app-finish {
    text-align: center;

    &__icon {
        width: rem(149);
        height: rem(149);
        display: block;
        margin: 0 auto rem(24) auto;

        &--error {
            width: rem(185);
            height: rem(185);
            margin-bottom: rem(10);
        }
    }

    &__title {
        color: $black;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(22);
        margin-bottom: rem(10);
    }

    &__text {
        width: rem(270);
        margin: 0 auto;
        color: #585858;
    }

    &__link {
        color: $blue;
        text-decoration: none;

        &:hover {
            color: $blue-dark;
            text-decoration: none;
        }
    }
}

.app-list {
    margin: 0;
    padding: 0;
    list-style: none;

    li {
        position: relative;
        padding-left: rem(20);

        &:before {
            top: rem(7);
            left: rem(8);
            width: rem(3);
            height: rem(3);
            content: '';
            border-radius: 50%;
            position: absolute;
            background: #585858;
        }
    }
}

.app-doc {
    margin: 0 auto;

    &__title {
        color: $black;
        text-align: center;
        font-weight: 700;
        font-size: rem(18);
        line-height:rem(22);
        margin-bottom: rem(16);
    }

    &__media {
        margin: 0 auto;
        position: relative;
        max-width: rem(345);

        &:before {
            top: -11px;
            left: -11px;
            right: -11px;
            bottom: -11px;
            z-index: 1;
            content: '';
            border-radius: 15px;
            position: absolute;
            border: 1px dashed #CDCDCD;
            background-size: cover;
        }
    }

    &__mono {
        z-index: 5;
        position: relative;
        filter: grayscale(1);
        -ms-filter: grayscale(1);
        -webkit-filter: grayscale(1);
        -moz-filter: grayscale(1);
    }

    &__source {
        overflow: hidden;
        border-radius: rem(10);
    }

    &__image {
        overflow: hidden;
        height: 20px;
    }

    &__color {
        top: 0;
        left: 0;
        right: 0;
        z-index: 10;
        position: absolute;

        &:after {
            top: -14px;
            left: -14px;
            right: -14px;
            bottom:2px;
            content: '';
            z-index: 20;
            position: absolute;
            border-radius: 15px;
            border: 8px solid $white;
            border-bottom: none;
        }

        &:before {
            bottom: 0;
            z-index: 40;
            left: rem(-20);
            right: rem(-20);
            content: '';
            height: rem(7);
            position: absolute;
            background: $blue;
            border-radius: rem(4);
        }
    }


    &--uploaded {

        .app-doc__image {
            animation-name: upload;
            animation-duration: 10s;
            animation-fill-mode: forwards;
            animation-iteration-count: 1;
        }
    }
}

.ymaps-2-1-79-inner-panes,
.ymaps-layers-pane {
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.ymaps-layers-pane {
    filter: grayscale(1);
    -ms-filter: grayscale(1);
    -webkit-filter: grayscale(1);
    -moz-filter: grayscale(1);
    -o-filter: grayscale(1);
}

@keyframes upload {
    from {
        height: 20px;
    }
    to {
        height: 208px;
    }
}

.registration {
    padding: rem(40) rem(12);

    &__form {
        max-width: rem(400);
        margin: 0 auto rem(40) auto;

        &--item {
            margin-bottom: rem(16);
        }
    }

    &__upload {
        display: grid;
        grid-template-columns: 1fr;
        grid-row-gap: rem(24);
        margin-bottom: rem(48);
    }

    &__phone {
        max-width: rem(705);
        margin: 0 auto rem(24) auto;
    }

    &__button {
        margin: 0 auto;
        max-width: rem(325);
    }

    &__info {
        margin-bottom: rem(40);

        &--title {
            color: $black;
            font-weight: 700;
            font-size: rem(18);
            line-height: rem(24);
            margin-bottom: rem(10);

        }

        &--text {
            color: #333;
            font-weight: 600;
            font-size:  rem(16);
            line-height: rem(24);

           ul {
               margin: 0;
               padding: 0;
               list-style: none;

               li {
                   position: relative;
                   padding-left: rem(12);

                   &:before {
                       top: rem(12);
                       left: 0;
                       width: 0.1875rem;
                       height: 0.1875rem;
                       content: '';
                       border-radius: 50%;
                       position: absolute;
                       background: #585858;
                   }
               }
           }
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(40) rem(20);

        &__form {
            width: 100%;
            margin: 0 auto rem(42) auto;
            max-width: rem(1007);
            display: flex;
            align-items: center;

            &--item {
                width: 33.33%;
                padding: 0 rem(8);
            }
        }

        &__upload {
            max-width: rem(1007);
            margin: 0 auto rem(48) auto;
            grid-column-gap: rem(40);
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {

        &__info {
            max-width: rem(880);
            display: flex;
            margin: 0 auto rem(50) auto;

            &--title {
                width: 50%;
                flex-shrink: 0;
            }

            &--text {
                width: 50%;
                flex-shrink: 0;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(80);
        padding-bottom: rem(50);

        &__info {

            &--title {
                font-size: rem(20);
            }

            &--text {
                font-size: rem(18);
            }
        }
    }
}

.progress {
    max-width: rem(1360);
    margin: 0 auto rem(40) auto;

    &__labels {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(24);
    }

    &__label {
        display: none;
        text-align: center;

        &--active {
            display: block;
        }
    }

    &__scale {
        display: none;
    }


    @include media-breakpoint-up(lg) {

        &__labels {
            margin-bottom: rem(40);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__label {
            display: block;
            width: 33.33%;
            flex-shrink: 0;

            &:first-child {
                text-align: left;
            }

            &:last-child {
                text-align: right;
            }
        }

        &__scale {
            position: relative;
            display: flex;
            align-items: center;
            justify-content: space-between;

            &:after {
                width: 25%;
                top: calc(50% - 2px);
                left: 0;
                z-index: 1;
                content: '';
                height: 4px;
                position: absolute;
                background: $blue;
            }

            &:before {
                top: calc(50% - 2px);
                left: 0;
                right: 0;
                z-index: 1;
                content: '';
                height: 4px;
                position: absolute;
                background: #C4C4C4;
            }
        }

        &__point {
            z-index: 10;
            width: 16px;
            height: 16px;
            border-radius: 50%;
            position: relative;
            background: #C4C4C4;

            &--active {
                background: $blue;
            }

            &--success {
                background: $blue;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(60);

        &__labels {
            font-size: rem(20);
        }
    }
}

.doc-upload {
    color: #333;
    cursor: pointer;
    font-weight: 600;
    font-size: rem(18);
    line-height: rem(24);
    text-align: center;
    position: relative;
    background: #F7F7F7;
    border-radius: 10px;
    height: rem(230);
    display: flex;
    align-items: center;
    justify-content: center;

    &__wrap {
        font-style: normal;
    }

    &__input {
        @include visually-hidden();
    }

    &__icon {
        fill: #009FDF;
        height: rem(74);
        display: inline-block;
        margin-bottom: rem(30);
    }

    &__text {
        display: block;
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
